package com.mcwl.web.controller.communityCenter;


import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.dto.QuestionRes;
import com.mcwl.communityCenter.service.QuestionService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotNull;

/**
 * 提问
 */
@RestController
@RequestMapping("question")
@RequiredArgsConstructor
public class QuestionController {


    private final QuestionService questionService;

    /**
     * 提问
     */
    @PostMapping("addQuestion")
    public AjaxResult addQuestion(@RequestBody QuestionRes questionRes) {

        questionService.addQuestion(questionRes);

        return AjaxResult.success();

    }


    /**
     * 获取问题列表
     */
    @GetMapping("list")
    public TableDataInfo getQuestionList(@NotNull(message = "社区不能为空") Long communityId) {

//        return questionService.getQuestionList(communityId);
        return null;
    }


}
